Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.util.apache.cocoon.xml
Interface SynchronizedXMLPipe

All Superinterfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, EDU.oswego.cs.dl.util.concurrent.Sync, SynchronizedXMLConsumer, SynchronizedXMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLProducer

All Known Subinterfaces:
  DocumentBaseOAIHarvester, OAIHarvester

All Known Implementing Classes:
  AbstractDocumentBaseOAIHarvester, AbstractOAIHarvester, AbstractSynchronizedXMLPipe, LuceneDocumentBaseOAIHarvester, SynchronizedOAIObjectImpl, SynchronizedXMLPipeWrapper

    public interface SynchronizedXMLPipe

extends SynchronizedXMLProducer, SynchronizedXMLConsumer

Field Summary

Fields inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`ONE_CENTURY, ONE_DAY, ONE_HOUR, ONE_MINUTE, ONE_SECOND, ONE_WEEK, ONE_YEAR`

Method Summary

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLProducer
`acquired, setConsumer`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLConsumer
`acquired`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`acquire, attempt, release`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.